org.apache.thrift.protocol

## Class TJSONProtocol.LookaheadReader

- java.lang.Object
- - org.apache.thrift.protocol.TJSONProtocol.LookaheadReader

- Enclosing class:
    TJSONProtocol

      protected class TJSONProtocol.LookaheadReader
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TJSONProtocol.LookaheadReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte` | `peek()`
    `protected byte` | `read()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TJSONProtocol.LookaheadReader

          protected TJSONProtocol.LookaheadReader()

  - ### Method Detail

    - #### read

          protected byte read()
                       throws TException

      Throws:
        `TException`

    - #### peek

          protected byte peek()
                       throws TException

      Throws:
        `TException`